> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset GSTR-1

> Authenticated tax payer can reset saved return.

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-1/file/reset.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-1/{year}/{month}/reset
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-1/{year}/{month}/reset:
    post:
      tags:
        - Taxpayer
        - Returns
        - File GSTR-1
      summary: Reset GSTR-1
      description: >-
        Authenticated tax payer can save entire GSTR-1 invoices by uploading
        json to GST portal
      operationId: resetGstr1
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              description: Reset GSTR-1
              properties: {}
            examples:
              200 Success:
                value:
                  gstin: 29AAACQ3770E000
                  ret_period: '122023'
                summary: 200 Success
              RET191251 RESET is under progress:
                value:
                  gstin: 24ABKCS2033B1ZV
                  ret_period: '202403'
                summary: RET191251 RESET is under progress
              Request Example:
                value:
                  gstin: 27AHQPA7588L1ZJ
                  ret_period: '112016'
                summary: Request Example
              RET191251 RESET is under progress (Postman):
                value:
                  gstin: 24ABKCS2033B1ZV
                  ret_period: '062025'
                summary: RET191251 RESET is under progress (Postman)
      responses:
        '200':
          description: 200 Success / RET191251 RESET is under progress
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          reference_id:
                            type: string
                            example: 456a8aa4-10f0-4af5-9819-d82a9c9bd771
                      error:
                        type: object
                        properties:
                          error_cd:
                            type: string
                            example: RET191251
                          message:
                            type: string
                            example: RESET is under progress. Please try again later
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: da7c4153-0f64-4c5a-a6ea-e62aea1da5c8
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      data:
                        reference_id: 456a8aa4-10f0-4af5-9819-d82a9c9bd771
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: da7c4153-0f64-4c5a-a6ea-e62aea1da5c8
                RET191251 RESET is under progress:
                  summary: RET191251 RESET is under progress
                  value:
                    code: 200
                    data:
                      error:
                        error_cd: RET191251
                        message: RESET is under progress. Please try again later
                      status_cd: '0'
                    timestamp: 1739183911000
                    transaction_id: 535e2398-2f2d-4bf1-b4e6-4c44c62313cf
          headers: {}
      deprecated: false
      security: []

````